Model (gCube VRE Deploy Wizard Portlet 3.4.0-SNAPSHOT API)
Date: 2015-11-02

org.gcube.portlets.admin.vredeployer.client.model

## Class Model

- java.lang.Object
- - org.gcube.portlets.admin.vredeployer.client.model.Model

-     public class Model
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Model(MainContainer mainContainer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkApproveModeEnabled()`
    `void` | `checkCloudSelected()`
    `void` | `getAvailableGhnList()`
    `void` | `getFunctionality()`
    `GHNBean[]` | `getSelectedGHNs()`
    `void` | `getSummary()`
    `VREDescrBean` | `getVreDesc()`
    `void` | `getVREInitialInfo()` load the initial info for the VRE
    `boolean` | `isCloudSelected()`
    `void` | `setCloudSelected(boolean isCloudSelected, int virtualMachines)`
    `void` | `setGHNsSelected(GHNBean[] selectedGHNs)`
    `void` | `startVREDeploymentStatus()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Model

          public Model(MainContainer mainContainer)

  - ### Method Detail

    - #### checkApproveModeEnabled

          public void checkApproveModeEnabled()

    - #### getVREInitialInfo

          public void getVREInitialInfo()

      load the initial info for the VRE

    - #### getFunctionality

          public void getFunctionality()

    - #### getAvailableGhnList

          public void getAvailableGhnList()

    - #### setGHNsSelected

          public void setGHNsSelected(GHNBean[] selectedGHNs)

      Parameters:
        `selectedGHNIds` -
        `idCandidateGHN` -

    - #### checkCloudSelected

          public void checkCloudSelected()

    - #### getSummary

          public void getSummary()

    - #### isCloudSelected

          public boolean isCloudSelected()

      Returns:
        -

    - #### setCloudSelected

          public void setCloudSelected(boolean isCloudSelected,
                              int virtualMachines)

      Parameters:
        `isCloudSelected` - .
        `virtualMachines` - .

    - #### getVreDesc

          public VREDescrBean getVreDesc()

      Returns:
        -

    - #### getSelectedGHNs

          public GHNBean[] getSelectedGHNs()

      Returns:
        -

    - #### startVREDeploymentStatus

          public void startVREDeploymentStatus()

Copyright © 2015. All Rights Reserved.